- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# InstanceHeader Class Reference

The in-memory representation of the <instanceHeader> element. More...

`#include <OSInstance.h>`

Collaboration diagram for InstanceHeader:

[legend]
List of all members.

## Public Member Functions
| InstanceHeader ()
| The InstanceHeader class constructor.
| ~InstanceHeader ()
| The InstanceHeader class destructor.
bool | IsEqual (InstanceHeader *that)
| A function to check for the equality of two objects.
| InstanceHeader ()
| The InstanceHeader class constructor.
| ~InstanceHeader ()
| The InstanceHeader class destructor.
## Public Attributes
std::string | description
| the problem instance description
std::string | name
| the name of the problem instance
std::string | source
| the source of the problem instance

## Detailed Description

The in-memory representation of the <instanceHeader> element.

Definition at line 48 of file OSInstance.h.

## Constructor & Destructor Documentation

InstanceHeader::InstanceHeader | ( |  | ) |

The InstanceHeader class constructor.

Definition at line 392 of file OSInstance.cpp.

InstanceHeader::~InstanceHeader | ( |  | ) |

The InstanceHeader class destructor.

Definition at line 404 of file OSInstance.cpp.

InstanceHeader::InstanceHeader | ( |  | ) |

The InstanceHeader class constructor.

InstanceHeader::~InstanceHeader | ( |  | ) |

The InstanceHeader class destructor.

## Member Function Documentation

bool InstanceHeader::IsEqual | ( | InstanceHeader * | that | ) |

A function to check for the equality of two objects.

Definition at line 4896 of file OSInstance.cpp.

References description, name, and source.

## Member Data Documentation

std::string InstanceHeader::description

the problem instance description

Definition at line 58 of file OSInstance.h.

Referenced by IsEqual().

std::string InstanceHeader::name

the name of the problem instance

Definition at line 61 of file OSInstance.h.

Referenced by IsEqual().

std::string InstanceHeader::source

the source of the problem instance

Definition at line 64 of file OSInstance.h.

Referenced by IsEqual().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSInstance.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSInstance.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSInstance.cpp